local Button = Button
local _setTitleColor = Button.setTitleColor
local _setCapInsets = Button.setCapInsets

function Button:setTitleColor(c)
    if type(c) == "table" then
        _setTitleColor(self, ccc3(c.r,c.g,c.b))
    else
        _setTitleColor(self, c)
    end
end

function Button:setCapInsets( r )
    if type(r) == "table" then
        _setCapInsets(self, CCRectMake(r.x, r.y, r.width, r.height))
    else
        _setCapInsets(self, r)
    end
end

-- function Button:setLocalZOrder( ... )
--     self:setZOrder( ... )
-- end