require("init")
-- for CCLuaEngine traceback

function __G__TRACKBACK__(msg)
    print("----------------------------------------")
    print("LUA ERROR: " .. tostring(msg) .. "\n")
    print(debug.traceback())
    print("----------------------------------------")
end

local function main()
	local M = {}
	function M.createView( name, ... )
		local vScript = require(name)
		if vScript and vScript.create then
			return vScript:create( ... )
		end
	end

	local modename = "LFuncMap"
	local proxy = {}
	local mt    = {
	    __index = M,
	    __newindex =  function (t ,k ,v)
	        print("attemp to update a read-only table")
	    end
	}
	setmetatable(proxy,mt)
	_G[modename] = proxy
	package.loaded[modename] = proxy
end

xpcall(main, __G__TRACKBACK__)